unit reset;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  StdCtrls, Registry, Menus, ExtCtrls, ShellApi;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Image1: TImage;
    Label1: TLabel;
    Label2: TLabel;
    Panel1: TPanel;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Label1Click(Sender: TObject);
    procedure Label1MouseLeave(Sender: TObject);
    procedure Label1MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer
      );
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{ TForm1 }

//=================================================
procedure TForm1.FormCreate(Sender: TObject);
begin
 Randomize;
end;
//=================================================
procedure TForm1.Button1Click(Sender: TObject);
var Reg : TRegistry;
    InstallId, InstallIdChanged, sequence, tmp1 : string;
    selection, tmp : integer;
const alphabet = '0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ';
begin
 sequence := '';
 Reg := TRegistry.Create;
 Reg.RootKey := HKEY_LOCAL_MACHINE; // set the root folder
  try
   Reg.OpenKey('SOFTWARE\KasperskyLab\protected\AVP8\environment', False); // open the folder
   InstallId := Reg.ReadString('InstallId');  // read a key
  for selection := 1 to 12 do
   begin
    tmp := Random(Length(alphabet));
    tmp1 := Copy(alphabet,tmp,1);
    sequence := sequence + tmp1;
   end;
    InstallIdChanged := Copy(InstallId,1,25) + sequence + '}'; // copy the first half and add random sequence
    Reg.WriteString('InstallId',InstallIdChanged);
    MessageDlg('Success :)'+#13+
               'Now you can open KIS and activate Trial version',mtInformation,[mbOK],0);
  except
    MessageDlg('Ooops :('+#13+
               'Maybe "Self Defence" is not turned off?',mtError,[mbOK],0);
  end;
end;
//=================================================
procedure TForm1.Label1MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
 Form1.Label1.Cursor := crHandPoint;
 Form1.Label1.Font.Color := clBlue;
 Form1.Label1.Font.Style := [fsUnderline];
end;
//=================================================
procedure TForm1.Label1MouseLeave(Sender: TObject);
begin
 Form1.Label1.Cursor := crDefault;
 Form1.Label1.Font.Color := clBlack;
 Form1.Label1.Font.Style := [];
end;
//=================================================
procedure TForm1.Label1Click(Sender: TObject);
begin
 ShellApi.ShellExecute(HANDLE,'open','http://newage.ql.lt/',nil,nil,0);
end;
//=================================================

initialization
  {$I reset.lrs}

end.
